<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
		
	var popup = new Cubix.Popup.Ajax({
		abar: [
			{ caption: 'Save', icon: 'accept', action: Cubix.Popup.Actions.SaveValid },
			{ caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 270
	});

	/* don't forget to assign Cubix.Grid.Instance when using Cubix.Popup.Actions.Save */
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
			{ title: 'ID', field: 'id', type: 'number', sortable: true, width: '40px' },
			{ title: 'Application', field: 'application_title', type: 'string', sortable: true },
			{ title: 'Host', field: 'host', type: 'string' },
			{ title: 'Url', field: 'url', type: 'Link' }
		],
		sort: {
			field: 'id',
			dir: 'asc'
		},
		actions: [ /*{ type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this row?') ) {
				this.overlay.disable();
				new Request({
					url: '<?= $this->baseUrl() ?>/system/applications/remove?id=' + data.id,
					onSuccess: function (resp) {
						this.load();
					}.bind(this)
				}).send();
			}
		} },*/ { type: 'edit', func: function (data) {
			popup.setTitle('Edit Application');
			popup.load('<?= $this->baseUrl() ?>/system/applications/edit?id=' + data.id, function () {
				this.open();
			});
		} } ],
		data: new Cubix.Grid.Loader({ url: '<?= $this->baseUrl() ?>/system/applications/data' })
	});

	/*new Cubix.Button($('btn-create'), { onClick: function () {
		popup.setTitle('Add Application');
		popup.load('<?= $this->baseUrl() ?>/system/applications/create', popup.open);
	}, icon: 'add', caption: 'Add Application' });*/
		
	
	popup.addEvent('loaded', function () {
		
	});	
};
</script>

<!-- <div class="mt10">
	<a id="btn-create"></a>
	<div class="clear"></div>
</div>  -->

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
